NestJS Cannot find module ‘@nestjs/core/XXX/XXX

写代码嘛,有时候就很邪门儿,要么环境不对,要么包不对,要么人不对,要么是喝了假酒,劝不了潘子了。

我这个报错是用Nest准备生成个Swagger文档,之前搞PHP都是手写的文档,现在有了这玩应,舒服多了,就是还得有规范。

按照官方docs写的,我安装了@nestjs/swagger swagger-ui-express这俩包,运行时提示本文标题,搜了许多地方,无解,无解,无解,后来在github里看到有人说升级版本,试了下,嘿,还真T.. B声能用。F,,,B声。

具体命令如下,你也照着执行吧,这行命令会给你升级在用的包。
废话一下:邪门儿的是,我这个nestjs项目是本周新用nest命令创建的,怎么就两三天,差距这么大呢?另外你如果用的npm,请自行替换第二个命令

yarn add @nestjs/platform-express @nestjs/common @nestjs/core 
npm install @nestjs/platform-express @nestjs/common @nestjs/core 

为了不传递负面情绪,结尾我要大声的说“好棒,又解决了一个问题”!

本文系作者 @ 原创发布在 。未经许可,禁止转载。

Like()
feacx
站长
29 Posts
0 Comments
29 Likes
Top